package com.platform.test;

import java.util.List;

import com.platform.entities.FolderNode;

public class Volume {
	private String name;
	private long  totalSize;
	private long usedSize;	
	private List<Brick> bricks;	
	private List<FolderNode> folderNode;
	
	public Volume(String volume, long totalSize, long usedSize,
			List<Brick> bricks, List<FolderNode> folderNode) {
		super();
		this.name = volume;
		this.totalSize = totalSize;
		this.usedSize = usedSize;
		this.bricks = bricks;
		this.folderNode = folderNode;
	}

	public String getVolume() {
		return name;
	}

	public void setVolume(String name) {
		this.name = name;
	}

	public long getTotalSize() {
		return totalSize;
	}

	public void setTotalSize(long totalSize) {
		this.totalSize = totalSize;
	}

	public long getUsedSize() {
		return usedSize;
	}

	public void setUsedSize(long usedSize) {
		this.usedSize = usedSize;
	}

	public List<Brick> getBricks() {
		return bricks;
	}

	public void setBricks(List<Brick> bricks) {
		this.bricks = bricks;
	}

	public List<FolderNode> getFolderNode() {
		return folderNode;
	}

	public void setFolderNode(List<FolderNode> folderNode) {
		this.folderNode = folderNode;
	}	
	
}
